MDL-64790 upgrade: parameter API doc regression fix
authorNicolas Roeser <nicolas.roeser@uni-ulm.de>
Mon, 11 Mar 2019 12:12:24 +0000 (13:12 +0100)
committerNicolas Roeser <nicolas.roeser@uni-ulm.de>
Fri, 15 Mar 2019 10:13:23 +0000 (11:13 +0100)
Partially update the API documentation of function
upgrade_plugin_savepoint.

This restores consistency between function parameters and API
documentation; as commit 17da2e6f28d3477eb4ccfe5ac94c9cebb8456c8e (fix
for MDL-16438) had renamed parameter $dir to $plugin, but not also
applied this change to the API documentation.

Also reword the parameter comment text so that it is more meaningful to
developers: document that the parameter contains the name of the plugin.

Change the API documentation of parameter $type as well so that it is
a) correct, and
b) not in conflict with the API documentation for $plugin.

lib/upgradelib.php

index e11e2e3..b02579f 100644 (file)
@@ -383,8 +383,8 @@ function upgrade_block_savepoint($result, $version, $blockname, $allowabort=true
  * @category upgrade
  * @param bool $result false if upgrade step failed, true if completed
  * @param string or float $version main version
- * @param string $type name of plugin
- * @param string $dir location of plugin
+ * @param string $type The type of the plugin.
+ * @param string $plugin The name of the plugin.
  * @param bool $allowabort allow user to abort script execution here
  * @return void
  */